# Module `drawin`

awesome drawin API

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008-2009 Julien Danjou

## Functions

buttons (buttons_table) | Get or set mouse buttons bindings to a drawin.
struts (strut) | Get or set drawin struts.
geometry (A) | Get or set drawin geometry.
connect_signal (name, func) | Add a signal.
disconnect_signal (name, func) | Remove a signal.
emit_signal (name, ...) | Emit a signal.
instances () | Get the number of instances.

## Tables

drawin | Drawin object.

## Functions

buttons (buttons_table)
  Get or set mouse buttons bindings to a drawin.

  ### Parameters:

  - buttons_table A table of buttons objects, or nothing.
struts (strut)
  Get or set drawin struts.

  ### Parameters:

  - strut A table with new strut, or nothing

  ### Returns:

  The drawin strut in a table.
geometry (A)
  Get or set drawin geometry. That's the same as accessing or setting the x, y, width or height properties of a drawin.

  ### Parameters:

  - A table with coordinates to modify.

  ### Returns:

  A table with drawin coordinates and geometry.
connect_signal (name, func)
  Add a signal.

  ### Parameters:

  - name A signal name.
  - func A function to call when the signal is emitted.
disconnect_signal (name, func)
  Remove a signal.

  ### Parameters:

  - name A signal name.
  - func A function to remove.
emit_signal (name, ...)
  Emit a signal.

  ### Parameters:

  - name A signal name.
  - ... Various arguments, optional.
instances ()
  Get the number of instances.

  ### Returns:

  The number of drawin objects alive.

## Tables

drawin
  Drawin object.

  ### Fields:

  - screen Screen number.
  - border_width Border width.
  - border_color Border color.
  - ontop On top of other windows.
  - cursor The mouse cursor.
  - visible Visibility.
  - opacity The opacity of the drawin, between 0 and 1.
  - x The x coordinates.
  - y The y coordinates.
  - width The width of the drawin.
  - height The height of the drawin.
  - drawable The drawin's drawable.
  - shape_bounding The drawin's bounding shape as a (native) cairo surface.
  - shape_clip The drawin's clip shape as a (native) cairo surface.

generated by LDoc 1.3